Gets file name

- « ReflectionFunctionAbstract::getExtensionName

- ReflectionFunctionAbstract::getName »

- PHP Manual
- ReflectionFunctionAbstract
- Gets file name

# ReflectionFunctionAbstract::getFileName

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

ReflectionFunctionAbstract::getFileName — Gets file name

### Description

public ReflectionFunctionAbstract::getFileName(): string|false

Gets the file name from a user-defined function.

### Parameters

This function has no parameters.

### Return Values

Returns the filename of the file in which the function has been defined. If the class is defined in the PHP core or in a PHP extension, `false` is returned.

### See Also

- ReflectionFunctionAbstract::getNamespaceName() - Gets namespace name